Subject: Re: ds/commit-graph-gen-v2-fixes (was Re: What's cooking in git.git (Mar 2022, #01; Thu, 3))

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Mar 2022 09:18:31 -0800

Derrick Stolee <[email-masked]> writes:

> On 3/3/2022 11:31 PM, Junio C Hamano wrote:
>
>> * ds/commit-graph-gen-v2-fixes (2022-03-01) 5 commits
>>  - commit-graph: fix generation number v2 overflow values
>>  - commit-graph: start parsing generation v2 (again)
>>  - commit-graph: fix ordering bug in generation numbers
>>  - t5318: extract helpers to lib-commit-graph.sh
>>  - test-read-graph: include extra post-parse info
>> 
>>  Fixes to the way generation number v2 in the commit-graph files are
>>  (not) handled.
>>  source: <[email-masked]>
>
> After discussing the issues in detail with Patrick, it seems
> that an additional patch is required (submitted in [1], though
> I incorrectly numbered it "5/4" when it should be "6/5"). I can
> also re-roll to make sure that the patch is visible inline with
> the rest of the series, if you want.
>
> Thanks,
> -Stolee
>
> [1] https://lore.kernel.org/git/[email-masked]/

I do recall seeing the follow-up patch.  Let me queue it on top.

Thanks.